package net.marokun.koya.Janken.views;

import java.util.Random;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

public class Judge extends SelectionAdapter {
	private int handId;

	public Judge(Hand hand) {
		this.handId = hand.handId;
	}

	public void widgetSelected(SelectionEvent e){
		Random random     = new Random();
		Hand playerHand   = new Hand(this.handId);
		Hand comHand      = new Hand(random.nextInt(3));
		String result     = Hantei(playerHand, comHand);
		MessageBox mesBox = new MessageBox(new Shell());
		mesBox.setText("じゃ〜んけ〜んぽん！");
		mesBox.setMessage(
			"あなたの手：" + playerHand.getHand() + "\n" +
			"コンピュータの手：" + comHand.getHand() + "\n\n" +
			result
		);
		mesBox.open();
	}

	private String Hantei(Hand player, Hand com) {
		int result = (player.handId - com.handId + 2) % 3;
		if (result == 1) {
			return "あなたの勝ち";
		} else if (result == 2) {
			return "あいこ";
		}
		return "あなたの負け";
	}
}
